luke.mxDocs

Search docs

Search every page of the documentation.

API reference

Issue configuration

Statuses, issue types, priorities, resolutions, link types, workflows, custom fields, screens and permission schemes.

See Issues.

GET /v1/orgs/:orgId/issues/config/meta

Everything the Issues app loads once: catalogs, fields, spaces, people, templates.

Auth: user access token or platform agent key · Scope: issues:read

Path parameterDescription
:orgIdOrganization id (org_…).

Response 200

{
  settings: {
    statuses: {
      id: string
      name: string
      category: "done" | "todo" | "inprogress"
      description?: string
    }[]
    issueTypes: {
      id: string
      name: string
      icon: string
      color: "gray" | "orange" | "yellow" | "green" | "blue" | "purple" | "pink" | "red" | "teal"
      level: number
      description?: string
    }[]
    priorities: {
      id: string
      name: string
      icon: string
      color: "gray" | "orange" | "yellow" | "green" | "blue" | "purple" | "pink" | "red" | "teal"
    }[]
    defaultPriorityId: string
    resolutions: {
      id: string
      name: string
      description?: string
    }[]
    linkTypes: {
      id: string
      name: string
      outward: string
      inward: string
    }[]
  }
  settingsVersion: number
  fields: {
    fieldId: string
    name: string
    type: "number" | "text" | "url" | "date" | "user" | "team" | "labels" | "select" | "checkbox" | "paragraph" | "datetime" | "multiselect" | "cascading" | "users"
    description?: string
    options?: {
      id: string
      name: string
      disabled?: boolean
      children?: {
        id: string
        name: string
      }[]
    }[]
    spaceIds?: string[]
    typeIds?: string[]
    defaultValue?: unknown
  }[]
  systemFields: [{
    id: "summary"
    name: "Summary"
    type: "text"
  }, {
    id: "description"
    name: "Description"
    type: "paragraph"
  }, {
    id: "type"
    name: "Type"
    type: "issuetype"
  }, {
    id: "status"
    name: "Status"
    type: "status"
  }, {
    id: "priority"
    name: "Priority"
    type: "priority"
  }, {
    id: "resolution"
    name: "Resolution"
    type: "resolution"
  }, {
    id: "assignee"
    name: "Assignee"
    type: "user"
  }, {
    id: "reporter"
    name: "Reporter"
    type: "user"
  }, {
    id: "labels"
    name: "Labels"
    type: "labels"
  }, {
    id: "components"
    name: "Components"
    type: "components"
  }, {
    id: "fixVersions"
    name: "Fix versions"
    type: "versions"
  }, {
    id: "affectsVersions"
    name: "Affects versions"
    type: "versions"
  }, {
    id: "dueDate"
    name: "Due date"
    type: "date"
  }, {
    id: "startDate"
    name: "Start date"
    type: "date"
  }, {
    id: "storyPoints"
    name: "Story points"
    type: "number"
  }, {
    id: "originalEstimate"
    name: "Original estimate"
    type: "duration"
  }, {
    id: "remainingEstimate"
    name: "Remaining estimate"
    type: "duration"
  }, {
    id: "environment"
    name: "Environment"
    type: "paragraph"
  }, {
    id: "parent"
    name: "Parent"
    type: "issue"
  }, {
    id: "sprint"
    name: "Sprint"
    type: "sprint"
  }, {
    id: "securityLevel"
    name: "Security level"
    type: "security"
  }]
  spaces: {
    access?: {
      spaceId: string
      admin: boolean
      create: boolean
    }
    orgId: string
    spaceId: string
    key: string
    name: string
    description: string
    template: "basic" | "service" | "scrum" | "kanban" | "bugs"
    leadId?: string
    icon?: string
    color?: string
    archived: boolean
    archivedAt?: number
    seq: number
    config: {
      issueTypeIds: string[]
      defaultTypeId: string
      workflows: {
        [key: string]: string
      }
      screens: {
        create: {
          [key: string]: string
        }
        edit: {
          [key: string]: string
        }
        view: {
          [key: string]: string
        }
      }
      fieldSettings: {
        [key: string]: {
          required?: boolean
          hidden?: boolean
          description?: string
        }
      }
      customFieldIds: string[]
      access: {
        visibility: "org" | "private"
        members: {
          type: "user" | "team"
          id: string
          role: "admin" | "viewer" | "member"
        }[]
      }
      permissionSchemeId?: string
      securityLevels: {
        id: string
        name: string
        description?: string
        grants: object[]
      }[]
      defaultSecurityLevelId?: string
      notifications: {
        created?: ("participants" | "assignee" | "reporter" | "lead" | "watchers")[]
        deleted?: ("participants" | "assignee" | "reporter" | "lead" | "watchers")[]
        assigned?: ("participants" | "assignee" | "reporter" | "lead" | "watchers")[]
        updated?: ("participants" | "assignee" | "reporter" | "lead" | "watchers")[]
        transitioned?: ("participants" | "assignee" | "reporter" | "lead" | "watchers")[]
        commented?: ("participants" | "assignee" | "reporter" | "lead" | "watchers")[]
        mentioned?: ("participants" | "assignee" | "reporter" | "lead" | "watchers")[]
        resolved?: ("participants" | "assignee" | "reporter" | "lead" | "watchers")[]
      }
      defaultAssignee: "lead" | "unassigned"
      estimation: "count" | "storyPoints" | "originalEstimate"
      boardId?: string
      servicedesk?: {
        requestTypes: {
          id: string
          name: string
          description?: string
          icon?: string
          typeId: string
          group?: string
          fields: object
          hidden?: boolean
        }[]
        queues: {
          id: string
          name: string
          query: string
          columns?: object
        }[]
        slas: {
          id: string
          name: string
          start: object
          pause: object
          stop: object
          goals: object
        }[]
        hours: {
          timeZone: string
          days: {
            [key: number]: object
          }
          holidays: string[]
        }
        portal: {
          enabled: boolean
          title: string
          intro: string
          access: "any" | "org" | "listed"
          customers: string[]
        }
        cannedResponses: {
          id: string
          name: string
          body: string
        }[]
        satisfaction: boolean
      }
      formerKeys?: string[]
    }
    version: number
    createdAt: number
    updatedAt: number
  }[]
  people: {
    userId: string
    email?: string
    name?: string
    role: string
    teams: string[]
  }[]
  teams: {
    teamId: string
    slug: string
    name: string
    members: string[]
  }[]
  workflows: {
    workflowId: string
    name: string
    description?: string
  }[]
  screens: {
    screenId: string
    name: string
    tabs: {
      name: string
      fields: string[]
    }[]
  }[]
  schemes: {
    schemeId: string
    name: string
    description?: string
  }[]
  templates: {
    name: string
    description: string
    id: "basic" | "service" | "scrum" | "kanban" | "bugs"
  }[]
  actor: {
    id: string
    type: "user" | "key" | "system" | "automation"
    scopes: string[]
  }
}

GET /v1/orgs/:orgId/issues/config/settings

The org's catalogs and their version (for optimistic updates).

Auth: user access token or platform agent key · Scope: issues:read

Path parameterDescription
:orgIdOrganization id (org_…).

Response 200

{
  settings: {
    statuses: {
      id: string
      name: string
      category: "done" | "todo" | "inprogress"
      description?: string
    }[]
    issueTypes: {
      id: string
      name: string
      icon: string
      color: "gray" | "orange" | "yellow" | "green" | "blue" | "purple" | "pink" | "red" | "teal"
      level: number
      description?: string
    }[]
    priorities: {
      id: string
      name: string
      icon: string
      color: "gray" | "orange" | "yellow" | "green" | "blue" | "purple" | "pink" | "red" | "teal"
    }[]
    defaultPriorityId: string
    resolutions: {
      id: string
      name: string
      description?: string
    }[]
    linkTypes: {
      id: string
      name: string
      outward: string
      inward: string
    }[]
  }
  version: number
}

PUT /v1/orgs/:orgId/issues/config/settings

Replaces the catalogs. Statuses and types still used by workflows or spaces can't be removed.

Auth: user access token or platform agent key · Scope: issues:admin

Path parameterDescription
:orgIdOrganization id (org_…).

Request body

FieldTypeRequiredNotes
settingsobjectYes
settings.statusesobject[]Yesup to 200 items
settings.statuses[].idstringYesmatches ^[a-z0-9_]{1,32}$
settings.statuses[].namestringYes1–80 characters; trimmed
settings.statuses[].category"todo" | "inprogress" | "done"Yes
settings.statuses[].descriptionstringNoup to 500 characters
settings.issueTypesobject[]Yesup to 50 items
settings.issueTypes[].idstringYesmatches ^[a-z0-9_]{1,32}$
settings.issueTypes[].namestringYes1–80 characters; trimmed
settings.issueTypes[].iconstringYesup to 40 characters
settings.issueTypes[].color"gray" | "blue" | "green" | "teal" | "yellow" | "orange" | "red" | "pink" | "purple"Yes
settings.issueTypes[].levelintegerYes-1–5
settings.issueTypes[].descriptionstringNoup to 500 characters
settings.prioritiesobject[]Yesup to 20 items
settings.priorities[].idstringYesmatches ^[a-z0-9_]{1,32}$
settings.priorities[].namestringYes1–80 characters; trimmed
settings.priorities[].iconstringYesup to 40 characters
settings.priorities[].color"gray" | "blue" | "green" | "teal" | "yellow" | "orange" | "red" | "pink" | "purple"Yes
settings.defaultPriorityIdstringYesmatches ^[a-z0-9_]{1,32}$
settings.resolutionsobject[]Yesup to 50 items
settings.resolutions[].idstringYesmatches ^[a-z0-9_]{1,32}$
settings.resolutions[].namestringYes1–80 characters; trimmed
settings.resolutions[].descriptionstringNoup to 500 characters
settings.linkTypesobject[]Yesup to 50 items
settings.linkTypes[].idstringYesmatches ^[a-z0-9_]{1,32}$
settings.linkTypes[].namestringYes1–80 characters; trimmed
settings.linkTypes[].outwardstringYes1–60 characters; trimmed
settings.linkTypes[].inwardstringYes1–60 characters; trimmed
baseVersionintegerYes≥ 0

Response 200

{
  settings: {
    statuses: {
      id: string
      name: string
      category: "done" | "todo" | "inprogress"
      description?: string
    }[]
    issueTypes: {
      id: string
      name: string
      icon: string
      color: "gray" | "orange" | "yellow" | "green" | "blue" | "purple" | "pink" | "red" | "teal"
      level: number
      description?: string
    }[]
    priorities: {
      id: string
      name: string
      icon: string
      color: "gray" | "orange" | "yellow" | "green" | "blue" | "purple" | "pink" | "red" | "teal"
    }[]
    defaultPriorityId: string
    resolutions: {
      id: string
      name: string
      description?: string
    }[]
    linkTypes: {
      id: string
      name: string
      outward: string
      inward: string
    }[]
  }
  version: number
}

GET /v1/orgs/:orgId/issues/config/workflows

Every workflow with its statuses and transitions.

Auth: user access token or platform agent key · Scope: issues:read

Path parameterDescription
:orgIdOrganization id (org_…).

Response 200

{
  workflows: {
    workflowId: string
    name: string
    description?: string
    definition: {
      initialStatusId: string
      statuses: {
        statusId: string
        x?: number
        y?: number
      }[]
      transitions: {
        id: string
        name: string
        from: string[]
        to: string
        fields?: string[]
        conditions?: object[]
        validators?: object[]
        postFunctions?: object[]
      }[]
      autoResolution?: boolean
    }
    version: number
    updatedAt?: number
  }[]
}

GET /v1/orgs/:orgId/issues/config/workflows/:workflowId

A workflow and the spaces that use it.

Auth: user access token or platform agent key · Scope: issues:read

Path parameterDescription
:orgIdOrganization id (org_…).
:workflowIdWorkflow id (wfl_…, or a built-in one such as wf_software).

Response 200

{
  workflow: {
    workflowId: string
    name: string
    description?: string
    definition: {
      initialStatusId: string
      statuses: {
        statusId: string
        x?: number
        y?: number
      }[]
      transitions: {
        id: string
        name: string
        from: string[]
        to: string
        fields?: string[]
        conditions?: {
          type: "orgRole"
          roles: object
        } | {
          type: "spaceRole"
          roles: object
        } | {
          type: "assignee"
        } | {
          type: "reporter"
        } | {
          type: "permission"
          permission: "link" | "worklog" | "delete" | "comment" | "create" | "browse" | "edit" | "editOwn" | "transition" | "assign" | "assignable" | "deleteOwn" | "editComments" | "deleteComments" | "attach" | "deleteAttachments" | "manageWatchers" | "manageSprints" | "move" | "administer" | "serviceAgent"
        } | {
          type: "fieldSet"
          field: string
        } | {
          type: "subtasksDone"
        }[]
        validators?: {
          type: "required"
          fields: object
          message?: string
        } | {
          type: "query"
          query: string
          message: string
        }[]
        postFunctions?: {
          type: "assign"
          to: "reporter" | "lead" | "unassigned" | "currentUser"
        } | {
          type: "setResolution"
          resolutionId: null | string
        } | {
          type: "setField"
          field: string
          value: unknown
        } | {
          type: "clearField"
          field: string
        } | {
          type: "comment"
          body: string
        }[]
      }[]
      autoResolution?: boolean
    }
    version: number
    updatedAt?: number
  }
  spaces: {
    spaceId: string
    key: string
    name: string
  }[]
}

POST /v1/orgs/:orgId/issues/config/workflows

Creates a workflow (every status must be reachable from the initial one).

Auth: user access token or platform agent key · Scope: issues:admin

Path parameterDescription
:orgIdOrganization id (org_…).

Request body

FieldTypeRequiredNotes
namestringYes1–80 characters; trimmed
descriptionstringNoup to 500 characters
baseVersionintegerNo≥ 0
definitionobjectYes
definition.initialStatusIdstringYesup to 32 characters
definition.statusesobject[]Yes1–100 items
definition.statuses[].statusIdstringYesup to 32 characters
definition.statuses[].xnumberNo
definition.statuses[].ynumberNo
definition.transitionsobject[]Yesup to 200 items
definition.transitions[].idstringYesup to 40 characters
definition.transitions[].namestringYesup to 60 characters
definition.transitions[].fromstring[]Yesup to 100 items; each up to 32 characters
definition.transitions[].tostringYesup to 32 characters
definition.transitions[].fieldsstring[]Noup to 30 items; each up to 64 characters
definition.transitions[].conditions(object | object | object | object | object | object | object)[]Noup to 10 items
definition.transitions[].validators(object | object)[]Noup to 10 items
definition.transitions[].postFunctions(object | object | object | object | object)[]Noup to 10 items
definition.autoResolutionbooleanNo

Response 201

{
  workflow: {
    workflowId: string
    name: string
    description?: string
    definition: {
      initialStatusId: string
      statuses: {
        statusId: string
        x?: number
        y?: number
      }[]
      transitions: {
        id: string
        name: string
        from: string[]
        to: string
        fields?: string[]
        conditions?: {
          type: "orgRole"
          roles: object
        } | {
          type: "spaceRole"
          roles: object
        } | {
          type: "assignee"
        } | {
          type: "reporter"
        } | {
          type: "permission"
          permission: "link" | "worklog" | "delete" | "comment" | "create" | "browse" | "edit" | "editOwn" | "transition" | "assign" | "assignable" | "deleteOwn" | "editComments" | "deleteComments" | "attach" | "deleteAttachments" | "manageWatchers" | "manageSprints" | "move" | "administer" | "serviceAgent"
        } | {
          type: "fieldSet"
          field: string
        } | {
          type: "subtasksDone"
        }[]
        validators?: {
          type: "required"
          fields: object
          message?: string
        } | {
          type: "query"
          query: string
          message: string
        }[]
        postFunctions?: {
          type: "assign"
          to: "reporter" | "lead" | "unassigned" | "currentUser"
        } | {
          type: "setResolution"
          resolutionId: null | string
        } | {
          type: "setField"
          field: string
          value: unknown
        } | {
          type: "clearField"
          field: string
        } | {
          type: "comment"
          body: string
        }[]
      }[]
      autoResolution?: boolean
    }
    version: number
    updatedAt?: number
  }
}

PUT /v1/orgs/:orgId/issues/config/workflows/:workflowId

Replaces a workflow; pass baseVersion to fail instead of overwriting newer edits.

Auth: user access token or platform agent key · Scope: issues:admin

Path parameterDescription
:orgIdOrganization id (org_…).
:workflowIdWorkflow id (wfl_…, or a built-in one such as wf_software).

Request body

FieldTypeRequiredNotes
namestringYes1–80 characters; trimmed
descriptionstringNoup to 500 characters
baseVersionintegerNo≥ 0
definitionobjectYes
definition.initialStatusIdstringYesup to 32 characters
definition.statusesobject[]Yes1–100 items
definition.statuses[].statusIdstringYesup to 32 characters
definition.statuses[].xnumberNo
definition.statuses[].ynumberNo
definition.transitionsobject[]Yesup to 200 items
definition.transitions[].idstringYesup to 40 characters
definition.transitions[].namestringYesup to 60 characters
definition.transitions[].fromstring[]Yesup to 100 items; each up to 32 characters
definition.transitions[].tostringYesup to 32 characters
definition.transitions[].fieldsstring[]Noup to 30 items; each up to 64 characters
definition.transitions[].conditions(object | object | object | object | object | object | object)[]Noup to 10 items
definition.transitions[].validators(object | object)[]Noup to 10 items
definition.transitions[].postFunctions(object | object | object | object | object)[]Noup to 10 items
definition.autoResolutionbooleanNo

Response 200

{
  workflow: {
    workflowId: string
    name: string
    description?: string
    definition: {
      initialStatusId: string
      statuses: {
        statusId: string
        x?: number
        y?: number
      }[]
      transitions: {
        id: string
        name: string
        from: string[]
        to: string
        fields?: string[]
        conditions?: {
          type: "orgRole"
          roles: object
        } | {
          type: "spaceRole"
          roles: object
        } | {
          type: "assignee"
        } | {
          type: "reporter"
        } | {
          type: "permission"
          permission: "link" | "worklog" | "delete" | "comment" | "create" | "browse" | "edit" | "editOwn" | "transition" | "assign" | "assignable" | "deleteOwn" | "editComments" | "deleteComments" | "attach" | "deleteAttachments" | "manageWatchers" | "manageSprints" | "move" | "administer" | "serviceAgent"
        } | {
          type: "fieldSet"
          field: string
        } | {
          type: "subtasksDone"
        }[]
        validators?: {
          type: "required"
          fields: object
          message?: string
        } | {
          type: "query"
          query: string
          message: string
        }[]
        postFunctions?: {
          type: "assign"
          to: "reporter" | "lead" | "unassigned" | "currentUser"
        } | {
          type: "setResolution"
          resolutionId: null | string
        } | {
          type: "setField"
          field: string
          value: unknown
        } | {
          type: "clearField"
          field: string
        } | {
          type: "comment"
          body: string
        }[]
      }[]
      autoResolution?: boolean
    }
    version: number
    updatedAt?: number
  }
}

DELETE /v1/orgs/:orgId/issues/config/workflows/:workflowId

Deletes a workflow no space uses.

Auth: user access token or platform agent key · Scope: issues:admin

Path parameterDescription
:orgIdOrganization id (org_…).
:workflowIdWorkflow id (wfl_…, or a built-in one such as wf_software).

Response 200

{
  workflowId: string
}

GET /v1/orgs/:orgId/issues/config/fields

Custom fields and the built-in fields.

Auth: user access token or platform agent key · Scope: issues:read

Path parameterDescription
:orgIdOrganization id (org_…).

Response 200

{
  fields: {
    fieldId: string
    name: string
    type: "number" | "text" | "url" | "date" | "user" | "team" | "labels" | "select" | "checkbox" | "paragraph" | "datetime" | "multiselect" | "cascading" | "users"
    description?: string
    options?: {
      id: string
      name: string
      disabled?: boolean
      children?: {
        id: string
        name: string
      }[]
    }[]
    spaceIds?: string[]
    typeIds?: string[]
    defaultValue?: unknown
  }[]
  systemFields: [{
    id: "summary"
    name: "Summary"
    type: "text"
  }, {
    id: "description"
    name: "Description"
    type: "paragraph"
  }, {
    id: "type"
    name: "Type"
    type: "issuetype"
  }, {
    id: "status"
    name: "Status"
    type: "status"
  }, {
    id: "priority"
    name: "Priority"
    type: "priority"
  }, {
    id: "resolution"
    name: "Resolution"
    type: "resolution"
  }, {
    id: "assignee"
    name: "Assignee"
    type: "user"
  }, {
    id: "reporter"
    name: "Reporter"
    type: "user"
  }, {
    id: "labels"
    name: "Labels"
    type: "labels"
  }, {
    id: "components"
    name: "Components"
    type: "components"
  }, {
    id: "fixVersions"
    name: "Fix versions"
    type: "versions"
  }, {
    id: "affectsVersions"
    name: "Affects versions"
    type: "versions"
  }, {
    id: "dueDate"
    name: "Due date"
    type: "date"
  }, {
    id: "startDate"
    name: "Start date"
    type: "date"
  }, {
    id: "storyPoints"
    name: "Story points"
    type: "number"
  }, {
    id: "originalEstimate"
    name: "Original estimate"
    type: "duration"
  }, {
    id: "remainingEstimate"
    name: "Remaining estimate"
    type: "duration"
  }, {
    id: "environment"
    name: "Environment"
    type: "paragraph"
  }, {
    id: "parent"
    name: "Parent"
    type: "issue"
  }, {
    id: "sprint"
    name: "Sprint"
    type: "sprint"
  }, {
    id: "securityLevel"
    name: "Security level"
    type: "security"
  }]
}

POST /v1/orgs/:orgId/issues/config/fields

Creates a custom field (text, number, date, select, multi-select, cascading, people, team, URL, checkbox, labels).

Auth: user access token or platform agent key · Scope: issues:admin

Path parameterDescription
:orgIdOrganization id (org_…).

Request body

FieldTypeRequiredDefaultNotes
namestringYes1–80 characters; trimmed
type"text" | "paragraph" | "number" | "date" | "datetime" | "select" | "multiselect" | "cascading" | "user" | "users" | "team" | "url" | "checkbox" | "labels"Yes
descriptionstringNoup to 500 characters
optionsobject[]Noup to 1,000 items
options[].idstringNo""up to 40 characters
options[].namestringYes1–100 characters; trimmed
options[].disabledbooleanNo
options[].childrenobject[]Noup to 200 items
options[].children[].idstringNo""up to 40 characters
options[].children[].namestringYes1–100 characters; trimmed
spaceIdsstring[]Noup to 1,000 items; each up to 64 characters
typeIdsstring[]Noup to 50 items; each up to 32 characters
defaultValueany JSONNo

Response 201

{
  field: {
    fieldId: string
    name: string
    type: "number" | "text" | "url" | "date" | "user" | "team" | "labels" | "select" | "checkbox" | "paragraph" | "datetime" | "multiselect" | "cascading" | "users"
    description?: string
    options?: {
      id: string
      name: string
      disabled?: boolean
      children?: {
        id: string
        name: string
      }[]
    }[]
    spaceIds?: string[]
    typeIds?: string[]
    defaultValue?: unknown
  }
}

PUT /v1/orgs/:orgId/issues/config/fields/:fieldId

Changes a custom field (its type can't change).

Auth: user access token or platform agent key · Scope: issues:admin

Path parameterDescription
:orgIdOrganization id (org_…).
:fieldIdCustom field id (cf_…).

Request body

FieldTypeRequiredDefaultNotes
namestringYes1–80 characters; trimmed
type"text" | "paragraph" | "number" | "date" | "datetime" | "select" | "multiselect" | "cascading" | "user" | "users" | "team" | "url" | "checkbox" | "labels"Yes
descriptionstringNoup to 500 characters
optionsobject[]Noup to 1,000 items
options[].idstringNo""up to 40 characters
options[].namestringYes1–100 characters; trimmed
options[].disabledbooleanNo
options[].childrenobject[]Noup to 200 items
options[].children[].idstringNo""up to 40 characters
options[].children[].namestringYes1–100 characters; trimmed
spaceIdsstring[]Noup to 1,000 items; each up to 64 characters
typeIdsstring[]Noup to 50 items; each up to 32 characters
defaultValueany JSONNo

Response 200

{
  field: {
    fieldId: string
    name: string
    type: "number" | "text" | "url" | "date" | "user" | "team" | "labels" | "select" | "checkbox" | "paragraph" | "datetime" | "multiselect" | "cascading" | "users"
    description?: string
    options?: {
      id: string
      name: string
      disabled?: boolean
      children?: {
        id: string
        name: string
      }[]
    }[]
    spaceIds?: string[]
    typeIds?: string[]
    defaultValue?: unknown
  }
}

DELETE /v1/orgs/:orgId/issues/config/fields/:fieldId

Deletes the definition; values stay on issues but are no longer shown or searchable.

Auth: user access token or platform agent key · Scope: issues:admin

Path parameterDescription
:orgIdOrganization id (org_…).
:fieldIdCustom field id (cf_…).

Response 200

{
  fieldId: string
}

GET /v1/orgs/:orgId/issues/config/screens

Screens: which fields show on create, edit and view, in tabs.

Auth: user access token or platform agent key · Scope: issues:read

Path parameterDescription
:orgIdOrganization id (org_…).

Response 200

{
  screens: {
    screenId: string
    name: string
    tabs: {
      name: string
      fields: string[]
    }[]
  }[]
}

POST /v1/orgs/:orgId/issues/config/screens

Creates a screen.

Auth: user access token or platform agent key · Scope: issues:admin

Path parameterDescription
:orgIdOrganization id (org_…).

Request body

FieldTypeRequiredNotes
namestringYes1–80 characters; trimmed
tabsobject[]Yes1–10 items
tabs[].namestringYesup to 40 characters
tabs[].fieldsstring[]Yesup to 100 items; each up to 64 characters

Response 201

{
  screen: {
    screenId: string
    name: string
    tabs: {
      name: string
      fields: string[]
    }[]
  }
}

PUT /v1/orgs/:orgId/issues/config/screens/:screenId

Replaces a screen.

Auth: user access token or platform agent key · Scope: issues:admin

Path parameterDescription
:orgIdOrganization id (org_…).
:screenIdScreen id (scr_…).

Request body

FieldTypeRequiredNotes
namestringYes1–80 characters; trimmed
tabsobject[]Yes1–10 items
tabs[].namestringYesup to 40 characters
tabs[].fieldsstring[]Yesup to 100 items; each up to 64 characters

Response 200

{
  screen: {
    screenId: string
    name: string
    tabs: {
      name: string
      fields: string[]
    }[]
  }
}

DELETE /v1/orgs/:orgId/issues/config/screens/:screenId

Deletes a screen no space uses.

Auth: user access token or platform agent key · Scope: issues:admin

Path parameterDescription
:orgIdOrganization id (org_…).
:screenIdScreen id (scr_…).

Response 200

{
  screenId: string
}

GET /v1/orgs/:orgId/issues/config/schemes

Permission schemes and the permissions they can grant.

Auth: user access token or platform agent key · Scope: issues:read

Path parameterDescription
:orgIdOrganization id (org_…).

Response 200

{
  schemes: {
    schemeId: string
    name: string
    description?: string
    grants: {
      link?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      worklog?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      delete?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      comment?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      create?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      browse?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      edit?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      editOwn?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      transition?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      assign?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      assignable?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      deleteOwn?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      editComments?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      deleteComments?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      attach?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      deleteAttachments?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      manageWatchers?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      manageSprints?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      move?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      administer?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      serviceAgent?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
    }
  }[]
  permissions: ["browse", "create", "edit", "editOwn", "transition", "assign", "assignable", "delete", "deleteOwn", "comment", "editComments", "deleteComments", "attach", "deleteAttachments", "link", "worklog", "manageWatchers", "manageSprints", "move", "administer", "serviceAgent"]
}

POST /v1/orgs/:orgId/issues/config/schemes

Creates a permission scheme.

Auth: user access token or platform agent key · Scope: issues:admin

Path parameterDescription
:orgIdOrganization id (org_…).

Request body

FieldTypeRequiredNotes
namestringYes1–80 characters; trimmed
descriptionstringNoup to 500 characters
grantsobjectYesvalues: (object | object | object | object | object | object | object | object)[] (up to 50 items)

Response 201

{
  scheme: {
    schemeId: string
    name: string
    description?: string
    grants: {
      link?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      worklog?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      delete?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      comment?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      create?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      browse?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      edit?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      editOwn?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      transition?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      assign?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      assignable?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      deleteOwn?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      editComments?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      deleteComments?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      attach?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      deleteAttachments?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      manageWatchers?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      manageSprints?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      move?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      administer?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      serviceAgent?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
    }
  }
}

PUT /v1/orgs/:orgId/issues/config/schemes/:schemeId

Replaces a permission scheme's grants.

Auth: user access token or platform agent key · Scope: issues:admin

Path parameterDescription
:orgIdOrganization id (org_…).
:schemeIdPermission scheme id (psc_…).

Request body

FieldTypeRequiredNotes
namestringYes1–80 characters; trimmed
descriptionstringNoup to 500 characters
grantsobjectYesvalues: (object | object | object | object | object | object | object | object)[] (up to 50 items)

Response 200

{
  scheme: {
    schemeId: string
    name: string
    description?: string
    grants: {
      link?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      worklog?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      delete?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      comment?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      create?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      browse?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      edit?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      editOwn?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      transition?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      assign?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      assignable?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      deleteOwn?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      editComments?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      deleteComments?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      attach?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      deleteAttachments?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      manageWatchers?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      manageSprints?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      move?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      administer?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
      serviceAgent?: {
        type: "spaceRole"
        role: "admin" | "viewer" | "member"
      } | {
        type: "orgRole"
        role: string
      } | {
        type: "user"
        id: string
      } | {
        type: "team"
        id: string
      } | {
        type: "reporter"
      } | {
        type: "assignee"
      } | {
        type: "lead"
      } | {
        type: "anyone"
      }[]
    }
  }
}

DELETE /v1/orgs/:orgId/issues/config/schemes/:schemeId

Deletes a permission scheme no space uses.

Auth: user access token or platform agent key · Scope: issues:admin

Path parameterDescription
:orgIdOrganization id (org_…).
:schemeIdPermission scheme id (psc_…).

Response 200

{
  schemeId: string
}